import { MigrationInterface, QueryRunner } from "typeorm";

export class AddRelationPosTypeTemp1771470195684 implements MigrationInterface {
    name = 'AddRelationPosTypeTemp1771470195684'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`profileEmployee\` ADD CONSTRAINT \`FK_bc2f7791abcc1e55a73b99216ca\` FOREIGN KEY (\`posTypeIdTemp\`) REFERENCES \`employeePosType\`(\`id\`) ON DELETE NO ACTION ON UPDATE NO ACTION`);

    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`profileEmployee\` DROP FOREIGN KEY \`FK_bc2f7791abcc1e55a73b99216ca\``);
    }

}
